LibOFX: Data Fields

Main Page | Class Hierarchy | Data Structures | File List | Data Fields | Globals
All | Functions | Variables | Enumerations | Enumeration values
a | b | c | d | e | f | g | i | l | m | n | o | p | r | s | t | u | w

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - a -

- account_id : OfxStatementData, OfxTransactionData, OfxAccountData
- account_name : OfxAccountData
- account_ptr : OfxStatementData, OfxTransactionData, OfxStatementData, OfxTransactionData
- account_type : OfxAccountData
- AccountType : OfxAccountData
- Add() : OfxAggregate
- add_attribute() : OfxInvestmentTransactionContainer, OfxBankTransactionContainer, OfxTransactionContainer, OfxSecurityContainer, OfxAccountContainer, OfxStatementContainer, OfxBalanceContainer, OfxStatusContainer, OfxPushUpContainer, OfxDummyContainer, OfxGenericContainer, OfxInvestmentTransactionContainer, OfxBankTransactionContainer, OfxTransactionContainer, OfxSecurityContainer, OfxAccountContainer, OfxStatementContainer, OfxBalanceContainer, OfxStatusContainer, OfxPushUpContainer, OfxDummyContainer, OfxGenericContainer
- add_to_main_tree() : OfxTransactionContainer, OfxSecurityContainer, OfxAccountContainer, OfxStatementContainer, OfxGenericContainer, OfxTransactionContainer, OfxSecurityContainer, OfxAccountContainer, OfxStatementContainer, OfxGenericContainer
- amount : OfxBalanceContainer, OfxTransactionData
- available_balance : OfxStatementData
- available_balance_date_valid : OfxStatementData

### - b -

- BankStatementRequest() : OfxStatementRequest

### - c -

- check_number : OfxTransactionData
- code : ErrorMsg, OfxStatusData
- code_valid : OfxStatusData
- CreditCardStatementRequest() : OfxStatementRequest
- currency : OfxCurrency, OfxStatementData, OfxSecurityData, OfxAccountData

### - d -

- data() : OFXApplication, OFCApplication, OFXApplication, OFCApplication
- date : OfxBalanceContainer
- date_end : OfxStatementData
- date_funds_available : OfxTransactionData
- date_initiated : OfxTransactionData
- date_posted : OfxTransactionData
- date_start : OfxStatementData
- date_unitprice : OfxSecurityData
- description : ErrorMsg, OfxStatusData, ErrorMsg, OfxStatusData

### - e -

- endElement() : OFXApplication, OFCApplication, OFXApplication, OFCApplication
- error() : OFXApplication, OFCApplication, OFXApplication, OFCApplication
- ERROR : OfxStatusData
- exchange_rate : OfxCurrency

### - f -

- fi_id : OfxTransactionData
- fi_id_corrected : OfxTransactionData
- fi_id_correction_action : OfxTransactionData

### - g -

- gen_event() : OfxMainContainer, OfxTransactionContainer, OfxSecurityContainer, OfxAccountContainer, OfxStatementContainer, OfxGenericContainer, OfxMainContainer, OfxTransactionContainer, OfxSecurityContainer, OfxAccountContainer, OfxStatementContainer, OfxGenericContainer
- getparent() : OfxGenericContainer

### - i -

- INFO : OfxStatusData
- InvestmentStatementRequest() : OfxStatementRequest

### - l -

- ledger_balance : OfxStatementData
- ledger_balance_date : OfxStatementData

### - m -

- marketing_info : OfxStatementData
- memo : OfxTransactionData, OfxSecurityData
- must_convert : OfxCurrency

### - n -

- name : ErrorMsg, OfxStatusData, ErrorMsg, OfxTransactionData, OfxStatusData

### - o -

- OFX_CHECKING : OfxAccountData
- OFX_CMA : OfxAccountData
- OFX_CREDITCARD : OfxAccountData
- OFX_CREDITLINE : OfxAccountData
- ofx_element_name_valid : OfxStatusData
- OFX_INVESTMENT : OfxAccountData
- OFX_MONEYMRKT : OfxAccountData
- OFX_SAVINGS : OfxAccountData
- OfxAccountInfoRequest() : OfxAccountInfoRequest
- OfxAggregate() : OfxAggregate
- OfxRequest() : OfxRequest
- OfxStatementRequest() : OfxStatementRequest
- openEntityChange() : OFXApplication, OFCApplication, OFXApplication, OFCApplication
- Output() : OfxAggregate

### - p -

- payee_id : OfxTransactionData

### - r -

- reference_number : OfxTransactionData
- RequestMessage() : OfxRequest

### - s -

- secname : OfxSecurityData
- security_data_valid : OfxTransactionData
- server_message : OfxStatusData
- server_transaction_id : OfxTransactionData
- severity : OfxStatusData
- Severity : OfxStatusData
- SignOnRequest() : OfxRequest
- standard_industrial_code : OfxTransactionData
- startElement() : OFXApplication, OFCApplication, OFXApplication, OFCApplication

### - t -

- tag_identifier : OfxGenericContainer
- ticker : OfxSecurityData
- transactiontype_valid : OfxTransactionData
- type : OfxGenericContainer

### - u -

- unique_id : OfxTransactionData, OfxSecurityData
- unique_id_type : OfxTransactionData, OfxSecurityData
- unitprice : OfxTransactionData, OfxSecurityData
- units : OfxTransactionData

### - w -

- WARN : OfxStatusData